MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024602Community[OCCT] OCCT:Documentationpublic2014-02-05 18:342014-05-05 13:39
Reporterdsmmr 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024602: Documentation Code Snippets missing sign
DescriptionIn the OCCT User Guide, I noticed it especially within "User Guides > Shape Healing" at http://www.opencascade.org/doc/occt-6.7.0/overview/html/user_guides__shape_healing.html [^] many code snippets are missing the > sign in the structure dereference operator ->.
e.g.:
Sfs- FixWireTool ()-FixSmallMode () =0;

should imho be:
Sfs->FixWireTool()->FixSmallMode()=0;
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028804)
ysn (developer)
2014-04-11 20:28

Reviewed the the documentation to restore missing <, >, "" and some other symbols. Reviewed the documentation to fix cases of obviously wrong formatting. See branch CR24602.
(0028813)
abv (manager)
2014-04-14 09:31

Reviewed, please integrate. Branch CR24602 is rebased on master

- Related Changesets
occt: master 4ee1bdf4
Timestamp: 2014-04-11 16:24:19
Author: ysn
Committer: apn
Details ] Diff ]
0024602: Documentation Code Snippets missing sign

Fix for bug 24602 about missing <, >, " and some other signs.
Also a major review of documetation to fix wrong formatting issues.
mod - dox/dev_guides/contribution/coding_rules.md Diff ] File ]
mod - dox/dev_guides/git_guide/git_guide.md Diff ] File ]
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - dox/user_guides/brep_wp/brep_wp.md Diff ] File ]
mod - dox/user_guides/draw_test_harness.md Diff ] File ]
mod - dox/user_guides/foundation_classes/foundation_classes.md Diff ] File ]
mod - dox/user_guides/iges/iges.md Diff ] File ]
mod - dox/user_guides/modeling_algos/modeling_algos.md Diff ] File ]
mod - dox/user_guides/modeling_data/modeling_data.md Diff ] File ]
mod - dox/user_guides/ocaf/ocaf.md Diff ] File ]
mod - dox/user_guides/ocaf_wp/ocaf_wp.md Diff ] File ]
mod - dox/user_guides/shape_healing/shape_healing.md Diff ] File ]
mod - dox/user_guides/step/step.md Diff ] File ]
mod - dox/user_guides/tobj/tobj.md Diff ] File ]
mod - dox/user_guides/visualization/visualization.md Diff ] File ]
mod - dox/user_guides/xde/xde.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-05 18:34 dsmmr New Issue
2014-02-05 18:34 dsmmr Assigned To => ysn
2014-04-11 20:28 ysn Note Added: 0028804
2014-04-11 20:28 ysn Status new => resolved
2014-04-11 20:28 ysn Assigned To ysn => abv
2014-04-14 09:31 abv Note Added: 0028813
2014-04-14 09:31 abv Assigned To abv => bugmaster
2014-04-14 09:31 abv Status resolved => reviewed
2014-04-14 09:31 abv Product Version => 6.7.0
2014-04-14 09:31 abv Target Version => 6.7.1
2014-04-15 15:11 apn Test case number => Not needed
2014-04-15 15:11 apn Status reviewed => tested
2014-04-18 16:02 apn Changeset attached => occt master 4ee1bdf4
2014-04-18 16:02 apn Assigned To bugmaster => apn
2014-04-18 16:02 apn Status tested => verified
2014-04-18 16:02 apn Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 user533 Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker